<?php

// Id used to identify this page within functions.
$PageID = "BOOK_EDIT";

require_once "common.inc";

require_once "config.inc";
require_once "constants.inc";
require_once "layout.inc";
require_once "language.inc";
require_once "search.inc";
require_once "MARC.inc";

$onLoad = "onLoad='if(document.book_edit) document.book_edit.book_id.focus();'";

layout_header(array('onload' => $onLoad));

layout_wizard_start();

if((isset($_REQUEST['book_id']) || isset($_REQUEST['book_control_number'])) && !isset($_REQUEST['result']))
{
	if(isset($_REQUEST['book_id']) && !is_book($_REQUEST['book_id'])) {
		layout_page_title($langText['ERROR_NOT_BOOK_ID'], 'error');
		unset($_REQUEST['book_id']);
		unset($_REQUEST['book_control_number']);
	}
	else
	{
		if(isset($_REQUEST['book_id']) && is_last_char($_REQUEST['book_id'], $config['book_id_suffix']))
			$_REQUEST['book_id'] = chop_last($_REQUEST['book_id']);

		if(isset($_REQUEST['book_id']) && (!isset($_REQUEST['book_control_number']) || $_REQUEST['book_control_number'] == ""))
		{
			$result = mysql_query("SELECT book_control_number FROM books WHERE book_id='" . $_REQUEST['book_id'] . "'");

			if(mysql_num_rows($result)) {
				$row = mysql_fetch_array($result);
				$_REQUEST['book_control_number'] = format_control_number($row['book_control_number']);
				$book_exists = 1;
			}
			else {
				$book_exists = 0;
			}
		}
		else {
			$book_exists = 1;
		}

		if($book_exists)
		{
			$criteria = "001";
			$query = $_REQUEST['book_control_number'];
			$position = 1;
			$url = "";
			$how_many = 1;
			$_REQUEST['element'] = "F";
			$from_page = $PageID;

			$session = mysql_fetch_array(mysql_query("SELECT session_last_page FROM sessions WHERE session_id='" . $_REQUEST['id'] . "'"));
			$history = explode(':', $session['session_last_page']);

			if ($history[1] != $PageID) {
				$from_page = $history[1];
			}

			list($YAZ_items, $hits, $MARC_raw) = search($criteria, $query, $position, $how_many, $url, "raw");

			parseMARC($YAZ_items[0]);
			$row = createMARCRow_edit($MARC_editable);

			//if(isset($_REQUEST['search_criteria']) && isset($_REQUEST['search_query']) && isset($_REQUEST['search_position']))
			//	$back_url = "search.php?id=".$_REQUEST['id']."&auth=".$_REQUEST['auth']."&criteria=".$_REQUEST['search_criteria']."&query=".$_REQUEST['search_query']."&position=".$_REQUEST['search_position'];

			layout_page_title($langText['STEP_2']);

			layout_wizard_start();

			//if($back_url)
			//	print "<a href='".$back_url."'>(- ".$langText['BACK_TO_SEARCH']." -)</a><br><br>";

			?>

			<form name='book_edit' action='perl/MARC.pl' method='post'>
				<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
				<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
				<input type='hidden' name='perl_id' value='<?php echo $config['perl_id']?>'>
				<input type='hidden' name='perl_auth' value='<?php echo md5($config['perl_auth'])?>'>
				<input type='hidden' name='from_page' value='<?php echo strtolower($from_page) ?>'>
				<input type='hidden' name='url' value='<?php echo $url ?>'>
				<input type='hidden' name='raw_marc' value='<?php echo $MARC_raw[0] ?>'>
				<input type='hidden' name='native_cn' value='<?php echo $_REQUEST['book_control_number'] ?>'>
				<input type='hidden' name='copies' value='zero'>

			<?php

			$headers = array("&nbsp;", "&nbsp;");
			layout_table_header($headers);

			while(list($key, $value) = each($row))
			{
				if(is_array($value))
				{
					$field_description = "<b>".$langText[strtoupper($MARC_config[$key])]." ".$langText['BOOK_FIELD_INFORMATION'].":</b>";

					layout_table_row(array($field_description, "&nbsp;"));

					foreach ($value as $_key => $_value)
					{
						$field_description = "&nbsp;&nbsp;&nbsp;".$langText[strtoupper($MARC_config[$key.$_key])].":";
						layout_table_row(array($field_description, "<input type='text' name='".$key.$_key."' value='".$_value."'size=25>"));
					}
				}
				else
					continue;
			}

			if(isset($_REQUEST['exact_query']) && $_REQUEST['exact_query'] != "")
			{
				$back = "<input type='button' class='button' value='&lt;&lt;&nbsp;" . $langText['BUTTON_BACK'] .
						"' onClick='location.href=\"search.php?id=" . $_REQUEST['id'] .
						"&auth=" . $_REQUEST['auth'] .
						"&criteria=" . $_REQUEST['search_criteria'] .
						"&query=" . $_REQUEST['search_query'] .
						"&position=" . $_REQUEST['search_position'] .
						"&url=".$url .
						"&location=".$_REQUEST['search_location'] .
						"&exact_query=".$_REQUEST['exact_query'];

				if (isset($_REQUEST['in_shelf'])) $back .= "&in_shelf";
				if (isset($_REQUEST['not_reserved'])) $back .= "&not_reserved";

				$back .=	"\"'>";
			}
			else
			{
				$back = "<input type='button' class='button' value='&lt;&lt;&nbsp;".$langText['BUTTON_BACK']."' onClick='history.go(-1);'>";
			}

			$footer = '
				<table border="0" cellspacing="0" cellpadding="0" width="100%">
					<tr>
						<td align="left" valign="bottom">
						' . $back . '
						</td>
						<td align="right" valign="bottom">
							<input type="reset" name="reset" class="button" value="Reset">&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="submit" name="submit" class="button" value="' . $langText['BUTTON_ACCEPT'] . '&nbsp;&gt;&gt;">
						</td>
					</tr>
				</table>
			';

			layout_table_footer($footer);

			print '</form>';

			layout_wizard_stop();
		}
		else {
			layout_page_title($langText['ERROR_NO_BOOK'], 'error');
			unset($_REQUEST['book_id']);
			unset($_REQUEST['book_control_number']);
		}
	}
}

if((!isset($_REQUEST['book_id']) && !isset($_REQUEST['book_control_number'])) || isset($_REQUEST['result']))
{
	if(isset($_REQUEST['result'])) {

		if ($_REQUEST['result'] == 'add_success') {
			$class = 'ok';
		}
		else {
			$class = 'error';
		}

		layout_page_title($langText[strtoupper($_REQUEST['result'])], $class);
	}

	layout_page_title($langText['STEP_1']);
	?>

	<form name='book_edit' action='book_edit.php' method='get'>
		<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
		<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
		<?php echo $langText['ENTER_BOOK_ID']?>:&nbsp;<input type='text' name='book_id' size=20>
		&nbsp;&nbsp;<input type='submit' name='submit' class='button' value='<?php echo $langText['BUTTON_EDIT']?>'>
	</form>

	<?php
}

layout_footer();

?>
